Loading...
Searching...
No Matches
Scenario.h File Reference

Simple class to test navigation scenarios. More...

Go to the source code of this file.

## Classes

class | gtsam::Scenario
| Simple trajectory simulator. More...
class | gtsam::ConstantTwistScenario
| Scenario with constant twist 3D trajectory. More...
class | gtsam::AcceleratingScenario
| Accelerating from an arbitrary initial state, with optional rotation. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Simple class to test navigation scenarios.

Author
  Frank Dellaert